Skip to main content
GET
https://app.firmware.ai
/
api
/
v1
/
quota
Get Quota
curl --request GET \
  --url https://app.firmware.ai/api/v1/quota \
  --header 'Authorization: Bearer <token>'
Check your current credit balance.

Authenticate

curl https://app.firmware.ai/api/v1/quota \
  -H "Authorization: Bearer $FIRMWARE_API_KEY"

Response fields

FieldTypeDescription
creditsnumbercredit balance in dollars (USD)
resetstringWhen current pay period ends. (IOS UTC) If plan renews new credits are issued.

Examples

200
{
  "credits": 42.50,
  "reset": "2023-04-01T00:00:00.000Z"
}
401
{
  "error": "Unauthorized"
}

Understand response

credits is your current credit balance in USD dollars. Use this value to track how many credits you have remaining. reset is when you current pay period ends. If your plan renews, new credits will be issued.